Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mfwk.trans
Class MfGenericTransactionImpl

    java.lang.Object
      com.sun.mfwk.trans.MfTranInterfaceImpl
          com.sun.mfwk.trans.MfGenericTransactionImpl

All Implemented Interfaces:
  java.util.EventListener, MfGenericTransaction, MfTranInterface, javax.management.NotificationListener

public abstract class MfGenericTransactionImpl
extends MfTranInterfaceImpl
implements MfGenericTransaction

Generic class for transaction classes.

Field Summary
`static int` | `BLOCKED`
`static int` | `DISABLED`
`static int` | `INVALID`
`static int` | `POOL`
`static int` | `RUNNING`
`static int` | `WAITING_PARENT`
`static int` | `WAITING_SUB_TRANS`

Constructor Summary
`MfGenericTransactionImpl(MfTransactionDefinition def, MfGenericTransaction parent)`

Method Summary
`MfTransactionDefinition` | `getDefinition()` Returns the related MfTransactionDefinition.
`MfGenericTransaction` | `getParentTrans()` Returns the parent MfTransaction.
`void` | `handleNotification(javax.management.Notification notif, java.lang.Object handback)`

Methods inherited from class com.sun.mfwk.trans.MfTranInterfaceImpl
`getErrorCode, getErrorMessage, setErrorCode`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### POOL

    public static final int POOL

See Also:
  Constant Field Values

### RUNNING

    public static final int RUNNING

See Also:
  Constant Field Values

### BLOCKED

    public static final int BLOCKED

See Also:
  Constant Field Values

### INVALID

    public static final int INVALID

See Also:
  Constant Field Values

### DISABLED

    public static final int DISABLED

See Also:
  Constant Field Values

### WAITING_PARENT

    public static final int WAITING_PARENT

See Also:
  Constant Field Values

### WAITING_SUB_TRANS

    public static final int WAITING_SUB_TRANS

See Also:
  Constant Field Values

Constructor Detail

### MfGenericTransactionImpl

    public MfGenericTransactionImpl(MfTransactionDefinition def,
                                    MfGenericTransaction parent)

Method Detail

### getDefinition

    public MfTransactionDefinition getDefinition()

  Description copied from interface: `MfGenericTransaction`
  Returns the related MfTransactionDefinition.

  Specified by:
    `getDefinition` in interface `MfGenericTransaction`

### getParentTrans

    public MfGenericTransaction getParentTrans()

  Description copied from interface: `MfGenericTransaction`
  Returns the parent MfTransaction.

  Specified by:
    `getParentTrans` in interface `MfGenericTransaction`

### handleNotification

    public void handleNotification(javax.management.Notification notif,
                                   java.lang.Object handback)

  Specified by:
    `handleNotification` in interface `javax.management.NotificationListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD